<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="network__activity__handler_8h" kind="file" language="C++">
    <compoundname>network_activity_handler.h</compoundname>
    <includes local="yes">stdbool.h</includes>
    <includes local="yes" refid="cy__lpa__wifi__ol_8h">cy_lpa_wifi_ol.h</includes>
    <includes local="yes" refid="cy__lpa__wifi__tko__ol_8h">cy_lpa_wifi_tko_ol.h</includes>
    <includes local="yes">cy_result_mw.h</includes>
    <incdepgraph>
      <node id="81">
        <label>stdbool.h</label>
      </node>
      <node id="80">
        <label>network_activity_handler.h</label>
        <link refid="network__activity__handler_8h" />
        <childnode refid="81" relation="include">
        </childnode>
        <childnode refid="82" relation="include">
        </childnode>
      </node>
      <node id="82">
        <label>cy_result_mw.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="network__activity__handler_8h_1a7517c9105c13fa1713e5038f45dd1120" kind="define" prot="public" static="no">
        <name>NW_INFO</name>
        <param><defname>x</defname></param>
        <initializer>printf x</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="35" />
      </memberdef>
      <memberdef id="network__activity__handler_8h_1a4ce7d78c0e7ec8f1df90adb9cd958606" kind="define" prot="public" static="no">
        <name>RX_EVENT_FLAG</name>
        <initializer>( 1UL &lt;&lt; 0 )</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="37" />
      </memberdef>
      <memberdef id="network__activity__handler_8h_1a1ea7bf9863bef18023adef3cfc2a0e48" kind="define" prot="public" static="no">
        <name>TX_EVENT_FLAG</name>
        <initializer>( 1UL &lt;&lt; 1 )</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="38" />
      </memberdef>
      <memberdef id="network__activity__handler_8h_1a25ad7ab8a9d7722981509f796e53b371" kind="define" prot="public" static="no">
        <name>PKT_FILTER_NAME</name>
        <initializer>"Pkt_Filter"</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="40" />
      </memberdef>
      <memberdef id="network__activity__handler_8h_1a6ad005f35c6244800954d64b62ba8673" kind="define" prot="public" static="no">
        <name>ARP_NAME</name>
        <initializer>"ARP"</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="41" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="41" />
      </memberdef>
      <memberdef id="network__activity__handler_8h_1a92d896189690d3b3139c60d76db35748" kind="define" prot="public" static="no">
        <name>TKO_NAME</name>
        <initializer>"TKO"</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="42" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="42" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3" kind="enum" prot="public" static="no">
        <name>network_stack_state_t</name>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a9592b62f96757f46cd846f451cae5c77" prot="public">
          <name>ST_SUCCESS</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3ad586901620b5f02cca4d04b654c7c06d" prot="public">
          <name>ST_WAIT_TIMEOUT_EXPIRED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a189d4423c6f8cdfea3e479acfca62191" prot="public">
          <name>ST_WAIT_INACTIVITY_TIMEOUT_EXPIRED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a96c6511c501f9fd6a3dade6393bc9ef1" prot="public">
          <name>ST_WAIT_ACTIVITY_TIMEOUT_EXPIRED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a4511b3065cabf3a0b99ee7524c78dd16" prot="public">
          <name>ST_BAD_ARGS</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a876997e87c82b8857e4d30a040aa2c7c" prot="public">
          <name>ST_BAD_STATE</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a406d82f6ba59ad68acb095d6b3c9e971" prot="public">
          <name>ST_CONNECT_FAILED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3acaa911f8cd49592dcd4d72beb3664a6c" prot="public">
          <name>ST_DISCONNECT_FAILED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a7582aecd18a76235156c7d0c634f61db" prot="public">
          <name>ST_WIFI_NET_SUSPENDED_FAILED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a4157b5a730409c410fa6c957b348231e" prot="public">
          <name>ST_WIFI_NET_RESUMING_FAILED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="network__activity__handler_8h_1a370fc3bba3d66d38a9f861ca975282e3a986770d81ae52aeda93ad319cee2eecd" prot="public">
          <name>ST_NET_ACTIVITY</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="58" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" bodystart="45" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="46" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="network__activity__handler_8h_1a46a7cccc167d2b70c96a03d24760d82f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int32_t</type>
        <definition>int32_t cylpa_suspend_ns</definition>
        <argsstring>(void)</argsstring>
        <name>cylpa_suspend_ns</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="70" />
      </memberdef>
      <memberdef const="no" explicit="no" id="network__activity__handler_8h_1a74b5458b43341f3d14ab065bbffa665c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int32_t</type>
        <definition>int32_t cylpa_resume_ns</definition>
        <argsstring>(void)</argsstring>
        <name>cylpa_resume_ns</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="82" />
      </memberdef>
      <memberdef const="no" explicit="no" id="network__activity__handler_8h_1a83db731bc98eb6abbcfbf453e9fecb69" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_on_emac_activity</definition>
        <argsstring>(bool is_tx_activity)</argsstring>
        <name>cylpa_on_emac_activity</name>
        <param>
          <type>bool</type>
          <declname>is_tx_activity</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="98" />
      </memberdef>
      <memberdef const="no" explicit="no" id="network__activity__handler_8h_1abc52ef6df60eabe5f7fc87293bfa747c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int32_t</type>
        <definition>int32_t cylpa_wait_net_inactivity</definition>
        <argsstring>(uint32_t inactive_interval_ms, uint32_t inactive_window_ms)</argsstring>
        <name>cylpa_wait_net_inactivity</name>
        <param>
          <type>uint32_t</type>
          <declname>inactive_interval_ms</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>inactive_window_ms</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="121" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__lpautilities_1ga8fe3dbb6666cb69c052385ce9ff9405f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int32_t</type>
        <definition>int32_t wait_net_suspend</definition>
        <argsstring>(void *net_intf, uint32_t wait_ms, uint32_t inactive_interval_ms, uint32_t inactive_window_ms)</argsstring>
        <name>wait_net_suspend</name>
        <param>
          <type>void *</type>
          <declname>net_intf</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>wait_ms</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>inactive_interval_ms</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>inactive_window_ms</declname>
        </param>
        <briefdescription>
<para>Network Monitor Function. </para>        </briefdescription>
        <detaileddescription>
<para>In this function the network is monitored for inactivity in an interval of length inactive_interval_ms. If the network is inactive for a continuous duration specified by inactive_window_ms, the TCP/IP network stack is suspended and stays suspended until either there is emac activity or a duration of wait_ms has expired. Network stack is resumed on either detecting emac activity or if wait_ms time has elapsed.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*net_intf</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to WLAN interface </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>wait_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>: The interval for which the network is monitored for activity. Network stack is resumed ether at the end of wait_ms or on emac activity. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>inactive_interval_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>: The interval for which the network is monitored for inactivity. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>inactive_window_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>: The continuous duration for which network has to be inactive in inactive_interval_ms.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>int32_t : Returns status on one of these cases: Network error status if the network stack suspension failed or EMAC activity status as a result of network inactivity monitor. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="181" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__lpautilities_1gab1bdee5b863d063b2cfb1dc693f8b685" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int cy_tcp_create_socket_connection</definition>
        <argsstring>(void *net_intf, void **socket_handle, const char *remote_ip, uint16_t remote_port, uint16_t local_port, cy_tko_ol_cfg_t *downloaded, int socket_keepalive_enable)</argsstring>
        <name>cy_tcp_create_socket_connection</name>
        <param>
          <type>void *</type>
          <declname>net_intf</declname>
        </param>
        <param>
          <type>void **</type>
          <declname>socket_handle</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>remote_ip</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>remote_port</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>local_port</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__tko__ol__cfg__t">cy_tko_ol_cfg_t</ref> *</type>
          <declname>downloaded</declname>
        </param>
        <param>
          <type>int</type>
          <declname>socket_keepalive_enable</declname>
        </param>
        <briefdescription>
<para>Creates TCP Socket connection. </para>        </briefdescription>
        <detaileddescription>
<para>This function can be used as reference to create tcp socket connection to provided remote ip address, remote port, local port and the tcp socket handle is returned in *socket_handle</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>net_intf</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to WLAN interface </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>socket_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to an Array of TCP Socket Handle which is populated by this API </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>remote_ip</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to Remote TCP IP Address </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>remote_port</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to Remote TCP IP Port number </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>local_port</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to Local TCP IP Port number </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>downloaded</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to TKO offload list </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>socket_keepalive_enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: Host TCP Keepalive enable 1 or 0 disable. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>int : Returns CY_RSLT_SUCCESS if the TCP socket connection is successful, otherwise it returns a socket error status </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="197" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__lpautilities_1ga2ebae1fd5c9c0e26363fc63b93bc9a83" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int cylpa_restart_olm</definition>
        <argsstring>(ol_desc_t *offload_list, void *net_intf)</argsstring>
        <name>cylpa_restart_olm</name>
        <param>
          <type><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref> *</type>
          <declname>offload_list</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>net_intf</declname>
        </param>
        <briefdescription>
<para>Restarts OLM. </para>        </briefdescription>
        <detaileddescription>
<para>This function restarts OLM manager with configuration passed by the caller. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;: This API should only be invoked when device is not connected to AP, if it is connected to an AP then it has to do disconnect first and then invoke this API&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>offload_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the user defined configuration list <ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>net_intf</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to WLAN interface </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>int : Returns CY_RSLT_SUCCESS if the restart is successful, otherwise it returns error. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="211" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__lpautilities_1ga033b1135cd0d1b9c0ae63a2fc8764c1b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref> *</type>
        <definition>ol_desc_t* cylpa_find_my_descriptor</definition>
        <argsstring>(const char *name, ol_desc_t *offload_list)</argsstring>
        <name>cylpa_find_my_descriptor</name>
        <param>
          <type>const char *</type>
          <declname>name</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref> *</type>
          <declname>offload_list</declname>
        </param>
        <briefdescription>
<para>Finds OLM descriptor for a given name. </para>        </briefdescription>
        <detaileddescription>
<para>This function finds the OLM descriptor for a given name passed by the caller in a OLM descriptor list.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>name</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the string name of OLM descriptor </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>offload_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: OLM descriptor list </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref> : Returns OLM descriptor matching the name, otherwise it returns NULL </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="222" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__lpautilities_1gaab3a675f4712ee9906da177610b0ca2a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void *</type>
        <definition>void* cy_get_olm_instance</definition>
        <argsstring>(void)</argsstring>
        <name>cy_get_olm_instance</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Get OLM instance. </para>        </briefdescription>
        <detaileddescription>
<para>This function returns OLM instance <simplesect kind="return"><para><ref kindref="compound" refid="structolm__t">olm_t</ref> : Return OLM structure pointer </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" line="230" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />File<sp />Name:<sp />network_activity_handler.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*<sp />Version:<sp />1.0</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp />Description:<sp />This<sp />file<sp />contains<sp />the<sp />macros,<sp />enumerations<sp />and<sp />function</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp />prototypes<sp />used<sp />by<sp />network_activity_handler<sp />file<sp />for<sp />mbedos<sp />and<sp />AnyCloud<sp />SDK.</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*</highlight></codeline>
<codeline lineno="9"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp />Copyright<sp />2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*</highlight></codeline>
<codeline lineno="19"><highlight class="comment">*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="20"><highlight class="comment">*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="21"><highlight class="comment">*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="22"><highlight class="comment">*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="24"><highlight class="comment">********************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"stdbool.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_ol.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_tko_ol.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result_mw.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />NW_INFO(<sp />x<sp />)<sp /><sp /><sp /><sp /><sp /><sp />printf<sp />x</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#define<sp />RX_EVENT_FLAG<sp /><sp /><sp /><sp /><sp />(<sp />1UL<sp />&lt;&lt;<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />TX_EVENT_FLAG<sp /><sp /><sp /><sp /><sp />(<sp />1UL<sp />&lt;&lt;<sp />1<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />PKT_FILTER_NAME<sp />"Pkt_Filter"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ARP_NAME<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"ARP"</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#define<sp />TKO_NAME<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"TKO"</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="comment">/*<sp />This<sp />enumeration<sp />enlists<sp />the<sp />different<sp />states<sp />of<sp />the<sp />network<sp />stack<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="keyword">enum</highlight><highlight class="normal"><sp />network_stack_state_t</highlight></codeline>
<codeline lineno="46"><highlight class="normal">{</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp />ST_SUCCESS,</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />ST_WAIT_TIMEOUT_EXPIRED,</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />ST_WAIT_INACTIVITY_TIMEOUT_EXPIRED,</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />ST_WAIT_ACTIVITY_TIMEOUT_EXPIRED,</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />ST_BAD_ARGS,</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />ST_BAD_STATE,</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp />ST_CONNECT_FAILED,</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />ST_DISCONNECT_FAILED,</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />ST_WIFI_NET_SUSPENDED_FAILED,</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />ST_WIFI_NET_RESUMING_FAILED,</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />ST_NET_ACTIVITY</highlight></codeline>
<codeline lineno="58"><highlight class="normal">};</highlight></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="61"><highlight class="comment">*<sp />Function<sp />Name:<sp />cylpa_suspend_ns</highlight></codeline>
<codeline lineno="62"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="63"><highlight class="comment">*</highlight></codeline>
<codeline lineno="64"><highlight class="comment">*<sp />Summary:</highlight></codeline>
<codeline lineno="65"><highlight class="comment">*<sp />This<sp />function<sp />suspends<sp />the<sp />network<sp />stack<sp />by<sp />taking<sp />a<sp />lock<sp />on<sp />the<sp />TCP/IP<sp />stack.</highlight></codeline>
<codeline lineno="66"><highlight class="comment">*</highlight></codeline>
<codeline lineno="67"><highlight class="comment">*<sp />Return:<sp />int32_t:<sp />contains<sp />status<sp />of<sp />suspending<sp />the<sp />network<sp />stack.</highlight></codeline>
<codeline lineno="68"><highlight class="comment">*</highlight></codeline>
<codeline lineno="69"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal">int32_t<sp />cylpa_suspend_ns(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="73"><highlight class="comment">*<sp />Function<sp />Name:<sp />cylpa_resume_ns</highlight></codeline>
<codeline lineno="74"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="75"><highlight class="comment">*</highlight></codeline>
<codeline lineno="76"><highlight class="comment">*<sp />Summary:</highlight></codeline>
<codeline lineno="77"><highlight class="comment">*<sp />This<sp />function<sp />suspends<sp />the<sp />network<sp />stack<sp />by<sp />unlocking<sp />the<sp />TCP/IP<sp />stack.</highlight></codeline>
<codeline lineno="78"><highlight class="comment">*</highlight></codeline>
<codeline lineno="79"><highlight class="comment">*<sp />Return:<sp />int32_t:<sp />contains<sp />status<sp />of<sp />resuming<sp />the<sp />network<sp />stack.</highlight></codeline>
<codeline lineno="80"><highlight class="comment">*</highlight></codeline>
<codeline lineno="81"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal">int32_t<sp />cylpa_resume_ns(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="85"><highlight class="comment">*<sp />Function<sp />Name:<sp />cylpa_on_emac_activity</highlight></codeline>
<codeline lineno="86"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="87"><highlight class="comment">*</highlight></codeline>
<codeline lineno="88"><highlight class="comment">*<sp />Summary:<sp />This<sp />is<sp />the<sp />callback<sp />that<sp />is<sp />called<sp />on<sp />detecting<sp />emac<sp />activity.<sp />It</highlight></codeline>
<codeline lineno="89"><highlight class="comment">*<sp />sets<sp />the<sp />bits<sp />of<sp />a<sp />flag<sp />indicating<sp />TX<sp />event<sp />or<sp />RX<sp />event.</highlight></codeline>
<codeline lineno="90"><highlight class="comment">*</highlight></codeline>
<codeline lineno="91"><highlight class="comment">*</highlight></codeline>
<codeline lineno="92"><highlight class="comment">*<sp />Parameters:</highlight></codeline>
<codeline lineno="93"><highlight class="comment">*<sp />bool<sp />is_tx_activity:<sp />used<sp />to<sp />determine<sp />which<sp />bit<sp />of<sp />flag<sp />is<sp />to<sp />be<sp />set.<sp />If<sp />true,</highlight></codeline>
<codeline lineno="94"><highlight class="comment">*<sp />TX<sp />bit<sp />in<sp />the<sp />flag<sp />is<sp />set.<sp />Else,<sp />RX<sp />bit<sp />is<sp />set.</highlight></codeline>
<codeline lineno="95"><highlight class="comment">*</highlight></codeline>
<codeline lineno="96"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cylpa_on_emac_activity(</highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />is_tx_activity);</highlight></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="101"><highlight class="comment">*<sp />Function<sp />Name:<sp />cylpa_wait_net_inactivity</highlight></codeline>
<codeline lineno="102"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="103"><highlight class="comment">*</highlight></codeline>
<codeline lineno="104"><highlight class="comment">*<sp />Summary:</highlight></codeline>
<codeline lineno="105"><highlight class="comment">*<sp />In<sp />this<sp />function<sp />the<sp />network<sp />is<sp />monitored<sp />for<sp />inactivity<sp />in<sp />an<sp />interval<sp />of</highlight></codeline>
<codeline lineno="106"><highlight class="comment">*<sp />length<sp />inactive_interval_ms.<sp />If<sp />the<sp />network<sp />is<sp />inactive<sp />for<sp />a<sp />continuous</highlight></codeline>
<codeline lineno="107"><highlight class="comment">*<sp />duration<sp />specified<sp />by<sp />inactive_window_ms,<sp />the<sp />network<sp />is<sp />declared<sp />as<sp />inactive</highlight></codeline>
<codeline lineno="108"><highlight class="comment">*<sp />and<sp />the<sp />corresponding<sp />network<sp />state<sp />value<sp />is<sp />returned.</highlight></codeline>
<codeline lineno="109"><highlight class="comment">*</highlight></codeline>
<codeline lineno="110"><highlight class="comment">*<sp />Parameters:</highlight></codeline>
<codeline lineno="111"><highlight class="comment">*<sp />uint32_t<sp />inactive_interval_ms:<sp />The<sp />interval<sp />for<sp />which<sp />the<sp />network<sp />is<sp />monitored</highlight></codeline>
<codeline lineno="112"><highlight class="comment">*<sp />for<sp />inactivity.</highlight></codeline>
<codeline lineno="113"><highlight class="comment">*<sp />uint32_t<sp />inactive_window_ms:<sp />The<sp />continuous<sp />duration<sp />for<sp />which<sp />network<sp />has<sp />to</highlight></codeline>
<codeline lineno="114"><highlight class="comment">*<sp />be<sp />inactive<sp />in<sp />inactive_interval_ms.</highlight></codeline>
<codeline lineno="115"><highlight class="comment">*</highlight></codeline>
<codeline lineno="116"><highlight class="comment">*<sp />Return:</highlight></codeline>
<codeline lineno="117"><highlight class="comment">*<sp />int32_t:<sp />contains<sp />status<sp />of<sp />network<sp />inactivity.</highlight></codeline>
<codeline lineno="118"><highlight class="comment">*</highlight></codeline>
<codeline lineno="119"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal">int32_t<sp />cylpa_wait_net_inactivity(uint32_t<sp />inactive_interval_ms,<sp />uint32_t<sp />inactive_window_ms);</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="keyword">extern</highlight><highlight class="normal"><sp />int32_t<sp /><sp /><sp /><ref kindref="member" refid="group__lpautilities_1ga8fe3dbb6666cb69c052385ce9ff9405f">wait_net_suspend</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*net_intf,<sp /><sp /><sp />uint32_t<sp />wait_ms,<sp />uint32_t<sp />inactive_interval_ms,<sp />uint32_t<sp />inactive_window_ms);</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__lpautilities_1gab1bdee5b863d063b2cfb1dc693f8b685">cy_tcp_create_socket_connection</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*net_intf,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />**socket_handle,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*remote_ip,<sp />uint16_t<sp />remote_port,<sp />uint16_t<sp />local_port,</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__tko__ol__cfg__t">cy_tko_ol_cfg_t</ref><sp />*downloaded,<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />socket_keepalive_enable);</highlight></codeline>
<codeline lineno="199"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__lpautilities_1ga2ebae1fd5c9c0e26363fc63b93bc9a83">cylpa_restart_olm</ref>(<sp /><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref><sp />*offload_list,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*net_intf<sp />);</highlight></codeline>
<codeline lineno="212"><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref><sp />*<ref kindref="member" refid="group__lpautilities_1ga033b1135cd0d1b9c0ae63a2fc8764c1b">cylpa_find_my_descriptor</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*name,<sp /><ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref><sp />*offload_list<sp />);</highlight></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<ref kindref="member" refid="group__lpautilities_1gaab3a675f4712ee9906da177610b0ca2a">cy_get_olm_instance</ref>(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />);</highlight></codeline>
<codeline lineno="232"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal">}<sp /></highlight><highlight class="comment">/*<sp />extern<sp />C<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/helpers/net_activity/network_activity_handler.h" />
  </compounddef>
</doxygen>